Subject: Re: problems

From: Rob Hartill <[email-masked]>
Date: Tue, 16 Aug 94 8:02:17 MDT

G'day,
 
> Thanks for email. Sorry for booboo but, as you say, the language is a 
> little sensitive, and one can't cover everything for all eventualities.
> 2 degrees centigrade that was: but its now about 14, and (as usual)
> beautifully sunny).

The sun has come back again here too. I read that we get over 300
sunny days a year :-)

> If there's no harm in asking about a new project, here goes:
> 
> The forms database enquiry engine you wrote for me presents the user
> with a hotlist of records, so that clicking on one produces the image. I'd
> be very impressed if it were possible to give the user the option of
> seeing the result of a query laid out page by page with inline thumbnails,
> just as salami offers. 
> 
> The version of the enquiry engine you wrote in C is still going fine
> but, to my shame, I haven't yet exchanged it for the perl rewrite. I
> suppose that would be step one, would it, in bending to the code perform
> the new task?

The perl code is much more flexible in its output formatting. I see no reason
why it can't include thumbnails.

It does however need testing with the year and century ranges. I can't
remember how thourough I was testing those parts and none of the uses
I made of the code needed numeric or century input.

regards,
rob.
=======================================================
Dear Rob,

Many thanks for email.

Glad you think the perl code can take thumbnails with a little
adjustment.

The next thing for me to do is therefore to get the perl forms database
code up and going, and give it a test.

Assuming you will tweak it, I can't see why the US tax authorities shouldn't
allow you to have another (very) modest contribution to your expenses, just
as we did it in the UK.

Best wishes & thanks,

Michael